Bug 44563 - arpwatch and tcpdump droproot patches keep supplemental groups
Summary: arpwatch and tcpdump droproot patches keep supplemental groups
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcpdump   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-14 08:18 UTC by Jarno Huuskonen
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 08:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarno Huuskonen 2001-06-14 08:18:19 UTC
Description of Problem:
The droproot patches for tcpdump and arpwatch don't have a 
setgroups(0, NULL) call so arpwatch and tcpdump keep (root's) supplemental
groups.

Updated patches are in:
http://www.uku.fi/~jhuuskon/

Or just add setgroups(0, NULL) call before setgid().

Comment 1 Harald Hoyer 2001-06-18 14:19:29 UTC
will be fixed in tcpdump--3.6.2-4



Note You need to log in before you can comment on or make changes to this bug.